/* Основные стили */
body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
    line-height: 1.6;
    color: #333;
    background-color: #f4f4f4;
}

/* Шапка и навигация */
header {
    background: #333;
    color: #fff;
    padding: 1rem 0;
    text-align: center;
}

header nav {
    display: flex;
    justify-content: space-around;
    align-items: center;
    padding: 0 20px;
}

.nav-links {
    list-style: none;
}

.nav-links li {
    display: inline;
    margin-left: 20px;
}

.nav-links a {
    color: #fff;
    text-decoration: none;
    padding: 5px 10px;
    border-radius: 5px;
    transition: background-color 0.3s;
}

.nav-links a:hover {
    background-color: #575757;
}

/* Шрифты заголовков */
h1, h2, h3 {
    color: #fff;
}

/* Стилизация разделов */
section {
    padding: 20px;
    text-align: center;
}

.service-container {
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
}

.service-item {
    flex-basis: 30%;
    margin: 10px;
    padding: 20px;
    background: #fff;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    border-radius: 8px;
}

/* Контактная форма */
form {
    max-width: 600px;
    margin: 20px auto;
    padding: 20px;
    background: #fff;
    border-radius: 8px;
}

form input, form textarea {
    width: 90%;
    padding: 10px;
    margin: 10px 0;
    border: 1px solid #ddd;
    border-radius: 4px;
}

form button {
    width: 94%;
    padding: 10px;
    border: none;
    background-color: #333;
    color: white;
    cursor: pointer;
}

form button:hover {
    background-color: #575757;
}

/* Подвал */
footer {
    text-align: center;
    padding: 20px;
    background-color: #333;
    color: white;
}

/* Адаптивность */
@media (max-width: 768px) {
    .nav-links, .service-container {
        flex-direction: column;
    }

    .service-item {
        flex-basis: 90%;
    }

    form input, form textarea, form button {
        width: 94%;
    }
}
